Name:		libmetal
Version:	2017.10
Release:	2%{?dist}
Summary:	An abstraction layer across user-space Linux, baremetal, and RTOS environments 

License:	BSD
URL:		https://github.com/OpenAMP/libmetal/
Source0:	https://github.com/OpenAMP/libmetal/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	glibc-devel
BuildRequires:	libsysfs-devel
BuildRequires:	libhugetlbfs-devel

%description
An abstraction layer across user-space Linux, baremetal, and RTOS environments.

%package devel
Summary: 	Development files for libmetal
Requires:	%{name}%{?_isa} = %{version}-%{release}
%description devel
Development file for libmetal: An abstraction layer across user-space Linux,
baremetal, and RTOS environments.

%package doc
Summary:	Documentation files for libmetal
%description doc
Documentation file for libmetal: An abstraction layer across user-space Linux,
baremetal, and RTOS environments.


%prep
%autosetup


%build
mkdir build
cd build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_libdir} -DWITH_STATIC_LIB=OFF ..
%make_build


%install
cd build
%make_install

%ldconfig_scriptlets

%files
%license LICENSE.md
%doc README.md
%{_bindir}/test-metal-shared
%{_libdir}/libmetal.so.0
%{_libdir}/libmetal.so.0.1.0

%files devel
%{_libdir}/libmetal.so
%{_includedir}/metal/

%files doc
%license LICENSE.md
%doc README.md
%doc %{_datarootdir}/doc/metal/



%changelog
* Sat Feb 17 2018 Jared Smith <jsmith@fedoraproject.org> - 2017.10-2
- Fix up issues identified in package review

* Tue Feb 13 2018 Jared K. Smith <jsmith@fedoraproject.org> - 2017.10-1
- Initial packaging
